package com.realnet.order_estimation.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import com.realnet.order_estimation.Entity.Product_ListFilter1;
import com.realnet.order_estimation.Services.Product_ListFilter1Service ;
@RequestMapping(value = "/Product_ListFilter1")
@RestController
public class Product_ListFilter1Controller {
	
	@Autowired
	private Product_ListFilter1Service Service;

		@GetMapping("/Product_ListFilter1")
	public List<Product_ListFilter1> getlist() {
		 List<Product_ListFilter1> get = Service.getlistbuilder();		
		return get;
}
		@GetMapping("/Product_ListFilter11/{item}")
	public List<Product_ListFilter1> getlistwithparam(  @PathVariable String item) {
		 List<Product_ListFilter1> get = Service.getlistbuilderparam(  item);		
		return get;
}
}